diff --git a/doc/bash.0 b/doc/bash.0
index 5648633e..0c5c9fab 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -5593,7 +5600,7 @@ BBUUGG RREEPPOORRTTSS
        A description of the bug behaviour
        A short script or `recipe' which exercises the bug
 
-       _b_a_s_h_b_u_g inserts the first three items automatically into  the  template
+       _b_a_s_h_b_u_g  inserts  the first three items automatically into the template
        it provides for filing a bug report.
 
        Comments and bug reports concerning this manual page should be directed
@@ -5610,10 +5617,10 @@ BBUUGGSS
        Shell builtin commands and functions are not stoppable/restartable.
 
        Compound commands and command sequences of the form `a ; b ; c' are not
-       handled gracefully  when  process  suspension  is  attempted.   When  a
-       process  is stopped, the shell immediately executes the next command in
-       the sequence.  It suffices to place the sequence  of  commands  between
-       parentheses  to  force  it  into  a subshell, which may be stopped as a
+       handled  gracefully  when  process  suspension  is  attempted.   When a
+       process is stopped, the shell immediately executes the next command  in
+       the  sequence.   It  suffices to place the sequence of commands between
+       parentheses to force it into a subshell, which  may  be  stopped  as  a
        unit.
 
        Array variables may not (yet) be exported.
@@ -5622,4 +5629,4 @@ BBUUGGSS
 
 
 
-GNU Bash 4.2                      2012 July 5                          BASH(1)
+GNU Bash 4.2                     2012 July 14                          BASH(1)
diff --git a/doc/bash.ps b/doc/bash.ps
index 138d5c54..cde00bc9 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19.2
-%%CreationDate: Thu Jul  5 20:43:03 2012
+%%CreationDate: Mon Jul 16 16:12:24 2012
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
@@ -329,7 +329,7 @@ F .474(xtended deb)-.15 F(ug-)-.2 E
 (~/.bashr)3.599 E(c)-.37 E F0 1.599(if the)4.409 F(shell is interacti)
 144 698.4 Q .3 -.15(ve \()-.25 H(see).15 E F4(INV)2.5 E(OCA)-.405 E
 (TION)-.855 E F0(belo)2.25 E(w\).)-.25 E(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(1)205.665 E 0 Cg EP
+(2012 July 14)149.005 E(1)203.165 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
@@ -447,8 +447,8 @@ F(ariable)-.25 E F3 -.27(BA)108 708 S(SH_ENV).27 E F0 1.011(in the en)
 1.01(alue as the)-.25 F(name of a \214le to read and e)108 720 Q -.15
 (xe)-.15 G(cute.).15 E F1(Bash)5 E F0(beha)2.5 E -.15(ve)-.2 G 2.5(sa)
 .15 G 2.5(si)-2.5 G 2.5(ft)-2.5 G(he follo)-2.5 E(wing command were e)
--.25 E -.15(xe)-.15 G(cuted:).15 E(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(2)205.665 E 0 Cg EP
+-.25 E -.15(xe)-.15 G(cuted:).15 E(GNU Bash 4.2)72 768 Q(2012 July 14)
+149.005 E(2)203.165 E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
@@ -580,7 +580,7 @@ F .388(wed by)-.25 F F3(blank)2.888 E F0 .388(-separated w)B .388
 (simple command)2.676 F F0 .175(is its e)2.676 F .175
 (xit status, or 128+)-.15 F F4(n)A F0 .175
 (if the command is terminated by signal)3.508 F F4(n)2.675 E F0(.).24 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(3)205.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(3)203.165 E 0 Cg EP
 %%Page: 4 4
 %%BeginPageSetup
 BP
@@ -688,7 +688,7 @@ Q F2 1.054(compound command)3.554 F F0 1.054(is one of the follo)3.554 F
 -3.553 F 1.026(separated from the rest of the command by one or more ne)
 108 698.4 R 1.026(wlines, and may be follo)-.25 F 1.027(wed by a ne)-.25
 F 1.027(wline in)-.25 F(place of a semicolon.)108 710.4 Q(GNU Bash 4.2)
-72 768 Q(2012 July 5)151.505 E(4)205.665 E 0 Cg EP
+72 768 Q(2012 July 14)149.005 E(4)203.165 E 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
 BP
@@ -816,7 +816,7 @@ E F0(th parenthesized sube)A(xpression.)-.15 E .786
 (ex)2.5 G(pr).2 E(ession2)-.37 E F0 -.35(Tr)180 716.4 S(ue if either).35
 E F1 -.2(ex)2.5 G(pr).2 E(ession1)-.37 E F0(or)2.5 E F1 -.2(ex)2.5 G(pr)
 .2 E(ession2)-.37 E F0(is true.)2.52 E(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(5)205.665 E 0 Cg EP
+(2012 July 14)149.005 E(5)203.165 E 0 Cg EP
 %%Page: 6 6
 %%BeginPageSetup
 BP
@@ -971,8 +971,8 @@ F .204(The e)5.204 F .204(xit status of the)-.15 F F1(while)2.704 E F0
 (and)2.704 E F1(until)2.704 E F0 .205(commands is the e)2.704 F .205
 (xit status of the last command)-.15 F -.15(exe)144 700.8 S(cuted in).15
 E F2(list-2)2.5 E F0 2.5(,o)C 2.5(rz)-2.5 G(ero if none w)-2.5 E(as e)
--.1 E -.15(xe)-.15 G(cuted.).15 E(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(6)205.665 E 0 Cg EP
+-.1 E -.15(xe)-.15 G(cuted.).15 E(GNU Bash 4.2)72 768 Q(2012 July 14)
+149.005 E(6)203.165 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
@@ -1108,7 +1108,7 @@ F0 1.336(option is on by def)3.836 F 1.336(ault in)-.1 F(interacti)108
 G(he)-2.974 E F2 .474(escape c)2.974 F(har)-.15 E(acter)-.15 E F0 5.474
 (.I).73 G 2.974(tp)-5.474 G(reserv)-2.974 E .474(es the literal v)-.15 F
 .474(alue of the ne)-.25 F .475(xt character that)-.15 F(GNU Bash 4.2)72
-768 Q(2012 July 5)151.505 E(7)205.665 E 0 Cg EP
+768 Q(2012 July 14)149.005 E(7)203.165 E 0 Cg EP
 %%Page: 8 8
 %%BeginPageSetup
 BP
@@ -1211,7 +1211,7 @@ F0(=[)A F3(value)A F0(])A(If)108 724.8 Q F3(value)3.023 E F0 .233
 (is not gi)2.913 F -.15(ve)-.25 G .233(n, the v).15 F .232
 (ariable is assigned the null string.)-.25 F(All)5.232 E F3(values)3.022
 E F0(under)3.002 E .232(go tilde e)-.18 F .232(xpansion, parameter)-.15
-F(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(8)205.665 E 0 Cg EP
+F(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(8)203.165 E 0 Cg EP
 %%Page: 9 9
 %%BeginPageSetup
 BP
@@ -1363,7 +1363,7 @@ F 2.614(ord. That)-.1 F .113(is, ")2.613 F F2($@)A F0 2.613("i)C 2.613
 (the last part of the original w)144 720 R 2.837(ord. When)-.1 F .338
 (there are no positional parameters, ")2.837 F F2($@)A F0 2.838("a)C(nd)
 -2.838 E F2($@)2.838 E F0 -.15(ex)2.838 G(pand).15 E(GNU Bash 4.2)72 768
-Q(2012 July 5)151.505 E(9)205.665 E 0 Cg EP
+Q(2012 July 14)149.005 E(9)203.165 E 0 Cg EP
 %%Page: 10 10
 %%BeginPageSetup
 BP
@@ -1478,7 +1478,7 @@ E F0 1.243(The command currently being e)144 693.6 R -.15(xe)-.15 G
 (cuted, unless the shell is e).15 F -.15(xe)-.15 G 1.242(cuting a).15 F
 (command as the result of a trap, in which case it is the command e)144
 705.6 Q -.15(xe)-.15 G(cuting at the time of the trap.).15 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(10)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(10)198.165 E 0 Cg EP
 %%Page: 11 11
 %%BeginPageSetup
 BP
@@ -1586,8 +1586,8 @@ F0 4.052(,f)C 1.552(or menu completion.)-4.052 F 1.552(This v)6.552 F
 (ternal commands in).15 F -.2(vo)-.4 G -.1(ke).2 G 5.429(db).1 G 5.429
 (yt)-5.429 G 2.929(he programmable completion f)-5.429 F 2.929
 (acilities \(see)-.1 F F1(Pr)5.429 E(ogrammable)-.18 E(Completion)144
-714 Q F0(belo)2.5 E(w\).)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(11)200.665 E 0 Cg EP
+714 Q F0(belo)2.5 E(w\).)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 14)
+149.005 E(11)198.165 E 0 Cg EP
 %%Page: 12 12
 %%BeginPageSetup
 BP
@@ -1697,8 +1697,8 @@ G 2.5(ti)-2.5 G 2.5(ss)-2.5 G(ubsequently reset.)-2.5 E F1(MA)108 678 Q
 es the system type on which)144 690 R F1(bash)3.398 E F0 .899(is e)3.398
 F -.15(xe)-.15 G .899(cuting, in).15 F(the standard GNU)144 702 Q F4
 (cpu-company-system)2.5 E F0 2.5(format. The)2.5 F(def)2.5 E
-(ault is system-dependent.)-.1 E(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(12)200.665 E 0 Cg EP
+(ault is system-dependent.)-.1 E(GNU Bash 4.2)72 768 Q(2012 July 14)
+149.005 E(12)198.165 E 0 Cg EP
 %%Page: 13 13
 %%BeginPageSetup
 BP
@@ -1796,7 +1796,7 @@ Q -.65(w.)-.25 G F1 -.3(BA)108 657.6 S(SH_ENV).3 E F0 .505
 (xpansion before being interpreted)-.15 F(as a \214lename.)144 705.6 Q
 F2 -.666(PA)5 G(TH)-.189 E F0
 (is not used to search for the resultant \214lename.)2.25 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(13)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(13)198.165 E 0 Cg EP
 %%Page: 14 14
 %%BeginPageSetup
 BP
@@ -1913,8 +1913,8 @@ ted to this size after writing it when a)5.87 F 1.245(shell e)144 708 R
 (Non-numeric v)6.244 F 1.244(alues and)-.25 F 1.021(numeric v)144 720 R
 1.022(alues less than zero inhibit truncation.)-.25 F 1.022
 (The shell sets the def)6.022 F 1.022(ault v)-.1 F 1.022(alue to the v)
--.25 F 1.022(alue of)-.25 F(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E
-(14)200.665 E 0 Cg EP
+-.25 F 1.022(alue of)-.25 F(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E
+(14)198.165 E 0 Cg EP
 %%Page: 15 15
 %%BeginPageSetup
 BP
@@ -2023,7 +2023,7 @@ ermines the collation order used when sorting the results of pathname e)
 (xpansion and pattern matching.)-.15 E F1(LC_MESSA)108 696 Q(GES)-.55 E
 F0(This v)144 708 Q(ariable determines the locale used to translate dou\
 ble-quoted strings preceded by a)-.25 E F1($)2.5 E F0(.)A(GNU Bash 4.2)
-72 768 Q(2012 July 5)151.505 E(15)200.665 E 0 Cg EP
+72 768 Q(2012 July 14)149.005 E(15)198.165 E 0 Cg EP
 %%Page: 16 16
 %%BeginPageSetup
 BP
@@ -2143,7 +2143,7 @@ G(ogin shell.)-2.5 E F1(TIMEFORMA)108 672 Q(T)-.95 E F0 .826(The v)144
 .712(alue or other information.)-.25 F .712(The escape sequences)5.712 F
 (and their meanings are as follo)144 720 Q
 (ws; the braces denote optional portions.)-.25 E(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(16)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(16)198.165 E 0 Cg EP
 %%Page: 17 17
 %%BeginPageSetup
 BP
@@ -2266,7 +2266,7 @@ F2(sub-)A(script)108 720 Q F0(]=)A F2(value)A F0 6.549(.T)C(he)-6.549 E
 F2(subscript)4.389 E F0 1.549(is treated as an arithmetic e)4.729 F
 1.549(xpression that must e)-.15 F -.25(va)-.25 G 1.548
 (luate to a number).25 F 6.548(.T)-.55 G(o)-7.348 E(GNU Bash 4.2)72 768
-Q(2012 July 5)151.505 E(17)200.665 E 0 Cg EP
+Q(2012 July 14)149.005 E(17)198.165 E 0 Cg EP
 %%Page: 18 18
 %%BeginPageSetup
 BP
@@ -2412,7 +2412,7 @@ Q F2(Br)108.58 703.2 Q .606(ace e)-.15 F(xpansion)-.2 E F0 .606
 (he)-2.915 E 2.28(form of an optional)108 727.2 R F2(pr)4.78 E(eamble)
 -.37 E F0 4.78(,f).18 G(ollo)-4.78 E 2.28
 (wed by either a series of comma-separated strings or a sequence)-.25 F
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(18)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(18)198.165 E 0 Cg EP
 %%Page: 19 19
 %%BeginPageSetup
 BP
@@ -2544,8 +2544,8 @@ F0 .167(or the \214rst)2.667 F F2(=)2.667 E F0 5.167(.I)C(n)-5.167 E
 712.8 Q F3 -.666(PA)2.5 G(TH)-.189 E F4(,)A F3(MAILP)2.25 E -.855(AT)
 -.666 G(H).855 E F4(,)A F0(and)2.25 E F3(CDP)2.5 E -.855(AT)-.666 G(H)
 .855 E F4(,)A F0(and the shell assigns the e)2.25 E(xpanded v)-.15 E
-(alue.)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(19)200.665 E 0
-Cg EP
+(alue.)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(19)198.165 E
+0 Cg EP
 %%Page: 20 20
 %%BeginPageSetup
 BP
@@ -2669,8 +2669,8 @@ F0 .558(and that result.)3.058 F .557(Note that a ne)5.557 F -.05(ga)
 -.15 G(ti).05 E .857 -.15(ve o)-.25 H -.25(ff).15 G .557(set must be).25
 F(separated from the colon by at least one space to a)144 712.8 Q -.2
 (vo)-.2 G(id being confused with the).2 E F1(:-)2.5 E F0 -.15(ex)2.5 G
-(pansion.).15 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(20)200.665 E
-0 Cg EP
+(pansion.).15 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(20)198.165
+E 0 Cg EP
 %%Page: 21 21
 %%BeginPageSetup
 BP
@@ -2806,7 +2806,7 @@ E F1(pattern)2.66 E F0(be)2.66 E .16(gins with)-.15 F F2(/)2.66 E F0
 (If)5.807 E F1(pattern)3.307 E F0(be)3.307 E .807(gins with)-.15 F F2(#)
 3.307 E F0 3.306(,i)C 3.306(tm)-3.306 G .806(ust match at the be)-3.306
 F .806(ginning of the e)-.15 F(xpanded)-.15 E(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(21)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(21)198.165 E 0 Cg EP
 %%Page: 22 22
 %%BeginPageSetup
 BP
@@ -2918,7 +2918,7 @@ F1 -.2(ex)2.665 G(pr).2 E(ession)-.37 E F0 .165
 (If)5.879 E F1 -.2(ex)108 700.8 S(pr).2 E(ession)-.37 E F0(is in)2.74 E
 -.25(va)-.4 G(lid,).25 E F2(bash)2.5 E F0(prints a message indicating f)
 2.5 E(ailure and no substitution occurs.)-.1 E(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(22)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(22)198.165 E 0 Cg EP
 %%Page: 23 23
 %%BeginPageSetup
 BP
@@ -3062,8 +3062,8 @@ R 1.12(NUL character may not occur in a pattern.)3.62 F 3.62(Ab)6.12 G
 (The special pattern characters must be quoted if the)5.576 F 3.076(ya)
 -.15 G(re)-3.076 E(to be matched literally)108 703.2 Q(.)-.65 E
 (The special pattern characters ha)108 720 Q .3 -.15(ve t)-.2 H
-(he follo).15 E(wing meanings:)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(23)200.665 E 0 Cg EP
+(he follo).15 E(wing meanings:)-.25 E(GNU Bash 4.2)72 768 Q
+(2012 July 14)149.005 E(23)198.165 E 0 Cg EP
 %%Page: 24 24
 %%BeginPageSetup
 BP
@@ -3174,7 +3174,7 @@ stead be preceded by a w)108 709.2 R .772(ord of)-.1 F .293(the form {)
 108 721.2 R F2(varname)A F0 2.793(}. In)B .293
 (this case, for each redirection operator e)2.793 F .293
 (xcept >&- and <&-, the shell will allocate)-.15 F(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(24)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(24)198.165 E 0 Cg EP
 %%Page: 25 25
 %%BeginPageSetup
 BP
@@ -3268,7 +3268,7 @@ F1(n)A F0(])A F2(>)A F1(wor)A(d)-.37 E F0 .154
 1.76(ail if the \214le whose name results from the e)-.1 F 1.759
 (xpansion of)-.15 F F1(wor)4.259 E(d)-.37 E F0 -.15(ex)4.259 G 1.759
 (ists and is a re).15 F 1.759(gular \214le.)-.15 F 1.759(If the)6.759 F
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(25)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(25)198.165 E 0 Cg EP
 %%Page: 26 26
 %%BeginPageSetup
 BP
@@ -3351,8 +3351,8 @@ E F0 2.5(,a)C(nd)-2.5 E F1<92>2.5 E F0(.)A .601
 (ws here-documents within shell scripts to be indented in a natural f)
 -.25 E(ashion.)-.1 E F1(Her)87 693.6 Q 2.5(eS)-.18 G(trings)-2.5 E F0
 2.5(Av)108 705.6 S(ariant of here documents, the format is:)-2.75 E F1
-(<<<)144 722.4 Q F2(wor)A(d)-.37 E F0(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(26)200.665 E 0 Cg EP
+(<<<)144 722.4 Q F2(wor)A(d)-.37 E F0(GNU Bash 4.2)72 768 Q
+(2012 July 14)149.005 E(26)198.165 E 0 Cg EP
 %%Page: 27 27
 %%BeginPageSetup
 BP
@@ -3463,7 +3463,7 @@ E(Aliases are created and listed with the)108 669.6 Q F2(alias)2.5 E F0
 (shell option is set)3.72 F(using)108 727.2 Q F2(shopt)2.5 E F0
 (\(see the description of)2.5 E F2(shopt)2.5 E F0(under)2.5 E F4
 (SHELL B)2.5 E(UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)-.25
-E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(27)200.665 E 0 Cg EP
+E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(27)198.165 E 0 Cg EP
 %%Page: 28 28
 %%BeginPageSetup
 BP
@@ -3603,7 +3603,7 @@ F .205(gers with no)-.15 F .428(check for o)108 667.2 R -.15(ve)-.15 G
 1.919(wing list of operators is)-.25 F(grouped into le)108 691.2 Q -.15
 (ve)-.25 G(ls of equal-precedence operators.).15 E(The le)5 E -.15(ve)
 -.25 G(ls are listed in order of decreasing precedence.).15 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(28)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(28)198.165 E 0 Cg EP
 %%Page: 29 29
 %%BeginPageSetup
 BP
@@ -3697,7 +3697,7 @@ F2(<)3.596 E F0(and)3.595 E F2(>)3.595 E F0 1.095(operators sort le)
 E F2(test)3.595 E F0(com-)3.595 E(mand sorts using ASCII ordering.)108
 690 Q F2<ad61>108 714 Q F1(\214le)2.5 E F0 -.35(Tr)10.58 G(ue if).35 E
 F1(\214le)2.5 E F0 -.15(ex)2.5 G(ists.).15 E(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(29)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(29)198.165 E 0 Cg EP
 %%Page: 30 30
 %%BeginPageSetup
 BP
@@ -3795,7 +3795,7 @@ E F0(may be positi)2.52 E .3 -.15(ve o)-.25 H 2.5(rn).15 G -2.25 -.15
 .613(When a simple command is e)108 712.8 R -.15(xe)-.15 G .614
 (cuted, the shell performs the follo).15 F .614(wing e)-.25 F .614
 (xpansions, assignments, and redi-)-.15 F(rections, from left to right.)
-108 724.8 Q(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(30)200.665 E 0
+108 724.8 Q(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(30)198.165 E 0
 Cg EP
 %%Page: 31 31
 %%BeginPageSetup
@@ -3919,7 +3919,7 @@ F(command ar)108 681.6 Q(guments, if an)-.18 E -.65(y.)-.15 G F4
 (COMMAND EXECUTION ENVIR)72 698.4 Q(ONMENT)-.329 E F0(The shell has an)
 108 710.4 Q F5 -.2(ex)2.5 G(ecution en).2 E(vir)-.4 E(onment)-.45 E F0
 2.5(,w)C(hich consists of the follo)-2.5 E(wing:)-.25 E(GNU Bash 4.2)72
-768 Q(2012 July 5)151.505 E(31)200.665 E 0 Cg EP
+768 Q(2012 July 14)149.005 E(31)198.165 E 0 Cg EP
 %%Page: 32 32
 %%BeginPageSetup
 BP
@@ -4033,7 +4033,7 @@ E F1(unset)2.801 E F0 .301(command, plus an)2.801 F 2.801(ya)-.15 G .301
 729.6 R .563(vironment for an)-.4 F(y)-.15 E F3 .563(simple command)
 3.403 F F0 .562
 (or function may be augmented temporarily by pre\214xing it with)3.833 F
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(32)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(32)198.165 E 0 Cg EP
 %%Page: 33 33
 %%BeginPageSetup
 BP
@@ -4163,8 +4163,8 @@ E F0 .784(with each pipeline.)3.514 F .784(It k)5.784 F .785
 2.841 E F0 2.841(command. When)2.841 F F3(bash)2.841 E F0 .341
 (starts a job asynchronously \(in the)2.841 F F4(bac)2.84 E(kgr)-.2 E
 (ound)-.45 E F0 .34(\), it prints a line).77 F(that looks lik)108 708 Q
-(e:)-.1 E([1] 25647)144 724.8 Q(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(33)200.665 E 0 Cg EP
+(e:)-.1 E([1] 25647)144 724.8 Q(GNU Bash 4.2)72 768 Q(2012 July 14)
+149.005 E(33)198.165 E 0 Cg EP
 %%Page: 34 34
 %%BeginPageSetup
 BP
@@ -4301,8 +4301,8 @@ ized by inserting a number of backslash-escaped special characters that\
  are)108 669.6 R(decoded as follo)108 681.6 Q(ws:)-.25 E F1(\\a)144
 693.6 Q F0(an ASCII bell character \(07\))28.22 E F1(\\d)144 705.6 Q F0
 (the date in "W)27.66 E(eekday Month Date" format \(e.g., "T)-.8 E
-(ue May 26"\))-.45 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(34)
-200.665 E 0 Cg EP
+(ue May 26"\))-.45 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(34)
+198.165 E 0 Cg EP
 %%Page: 35 35
 %%BeginPageSetup
 BP
@@ -4413,8 +4413,8 @@ F0 .463(In this section, the Emacs-style notation is used to denote k)
 1.018(auses that command to act in a backw)-3.518 F 1.019
 (ard direction.)-.1 F(Com-)6.019 E(mands whose beha)108 715.2 Q
 (vior with ar)-.2 E(guments de)-.18 E(viates from this are noted belo)
--.25 E -.65(w.)-.25 G(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(35)
-200.665 E 0 Cg EP
+-.25 E -.65(w.)-.25 G(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(35)
+198.165 E 0 Cg EP
 %%Page: 36 36
 %%BeginPageSetup
 BP
@@ -4521,8 +4521,8 @@ G(rsal\255ar).1 E(gument)-.1 E F0(.)A F1 .315(C\255x C\255r)5.155 F F0
 (Function Key 1)2.5 E F0(.)A
 (The full set of GNU Emacs style escape sequences is)108 693.6 Q F2
 <5c43ad>144 705.6 Q F0(control pre\214x)20.3 E F2<5c4dad>144 717.6 Q F0
-(meta pre\214x)18.08 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(36)
-200.665 E 0 Cg EP
+(meta pre\214x)18.08 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(36)
+198.165 E 0 Cg EP
 %%Page: 37 37
 %%BeginPageSetup
 BP
@@ -4619,7 +4619,7 @@ n ellipsis when displaying possible completions.).25 E F1
 -.15 F .561(alue greater than or)-.25 F .783(equal to zero.)144 729.6 R
 .783(If the number of possible completions is greater than or equal to \
 the v)5.783 F .782(alue of this)-.25 F(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(37)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(37)198.165 E 0 Cg EP
 %%Page: 38 38
 %%BeginPageSetup
 BP
@@ -4727,8 +4727,8 @@ F .05(If this v)5.05 F .05(ariable is set to a v)-.25 F(alue)-.25 E .051
 E F2 -.37(re)2.551 G(adline).37 E F0 .051(will w)2.551 F .051
 (ait until another k)-.1 F .352 -.15(ey i)-.1 H 2.552(sp).15 G(ressed)
 -2.552 E(to decide which k)144 720 Q .3 -.15(ey s)-.1 H
-(equence to complete.).15 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E
-(38)200.665 E 0 Cg EP
+(equence to complete.).15 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E
+(38)198.165 E 0 Cg EP
 %%Page: 39 39
 %%BeginPageSetup
 BP
@@ -4829,7 +4829,8 @@ F0 .463(construct allo)2.963 F .462(ws bindings to be made based on the\
 (sed to test whether readline is in emacs or vi)-3.711 F 3.065
 (mode. This)180 722.4 R .565(may be used in conjunction with the)3.065 F
 F1 .565(set k)3.065 F(eymap)-.1 E F0 .565(command, for instance, to)
-3.065 F(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(39)200.665 E 0 Cg EP
+3.065 F(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(39)198.165 E 0 Cg
+EP
 %%Page: 40 40
 %%BeginPageSetup
 BP
@@ -4931,8 +4932,8 @@ E F0 .911(refers to the current cursor position, and)3.411 F F1(mark)
 (db).15 G 3.41(yt)-3.41 G(he)-3.41 E F2(set\255mark)108 700.8 Q F0 2.5
 (command. The)2.5 F(te)2.5 E
 (xt between the point and mark is referred to as the)-.15 E F1 -.37(re)
-2.5 G(gion)-.03 E F0(.)A(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(40)
-200.665 E 0 Cg EP
+2.5 G(gion)-.03 E F0(.)A(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E
+(40)198.165 E 0 Cg EP
 %%Page: 41 41
 %%BeginPageSetup
 BP
@@ -5008,7 +5009,7 @@ a non-incremental search for a string supplied by the)-.1 F(user)144
 -.25 E F0 .249(Search forw)144 712.8 R .249(ard through the history for\
  the string of characters between the start of the current line)-.1 F
 (and the point.)144 724.8 Q(This is a non-incremental search.)5 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(41)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(41)198.165 E 0 Cg EP
 %%Page: 42 42
 %%BeginPageSetup
 BP
@@ -5113,7 +5114,7 @@ A F1(backward\255delete\255char \(Rubout\))108 604.8 Q F0 .552
 (erbatim. This)-.15 F .779(is ho)3.279 F 3.279(wt)-.25 G 3.279(oi)-3.279
 G .779(nsert characters lik)-3.279 F(e)-.1 E F1(C\255q)3.279 E F0 3.279
 (,f)C(or)-3.279 E -.15(ex)144 700.8 S(ample.).15 E(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(42)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(42)198.165 E 0 Cg EP
 %%Page: 43 43
 %%BeginPageSetup
 BP
@@ -5208,7 +5209,7 @@ F 5.364(.T)-.65 G .364(he killed te)-5.364 F .364(xt is sa)-.15 F -.15
 (ord behind point, using white space and the slash character as the w)
 -.1 F .167(ord boundaries.)-.1 F(The)5.167 E(killed te)144 712.8 Q
 (xt is sa)-.15 E -.15(ve)-.2 G 2.5(do).15 G 2.5(nt)-2.5 G(he kill-ring.)
--2.5 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(43)200.665 E 0 Cg EP
+-2.5 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(43)198.165 E 0 Cg EP
 %%Page: 44 44
 %%BeginPageSetup
 BP
@@ -5308,7 +5309,7 @@ F1(delete\255char\255or\255list)108 681.6 Q F0 .234
 (ve)-.2 G 2.925(si).15 G .425(dentically to)-2.925 F F1
 (possible\255completions)2.925 E F0 5.425(.T)C .425
 (his command is unbound)-5.425 F(by def)144 717.6 Q(ault.)-.1 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(44)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(44)198.165 E 0 Cg EP
 %%Page: 45 45
 %%BeginPageSetup
 BP
@@ -5394,7 +5395,7 @@ C(..\))-2.5 E F0 1.756(If the meta\214ed character)144 669.6 R F2(x)
 (e\214x\255meta \(ESC\))-.18 E F0(Metafy the ne)144 705.6 Q
 (xt character typed.)-.15 E/F3 9/Times-Bold@0 SF(ESC)5 E F1(f)2.25 E F0
 (is equi)2.5 E -.25(va)-.25 G(lent to).25 E F1(Meta\255f)2.5 E F0(.)A
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(45)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(45)198.165 E 0 Cg EP
 %%Page: 46 46
 %%BeginPageSetup
 BP
@@ -5497,8 +5498,8 @@ le completions.)2.5 E F1(glob\255expand\255w)108 504 Q(ord \(C\255x *\))
 3.093(utput. If)-3.093 F 3.093(an)3.093 G(umeric)-3.093 E(ar)144 708 Q
 .528(gument is supplied, the output is formatted in such a w)-.18 F .528
 (ay that it can be made part of an)-.1 F F2(inputr)3.027 E(c)-.37 E F0
-(\214le.)144 720 Q(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(46)
-200.665 E 0 Cg EP
+(\214le.)144 720 Q(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(46)
+198.165 E 0 Cg EP
 %%Page: 47 47
 %%BeginPageSetup
 BP
@@ -5637,7 +5638,7 @@ possible completions.)108 712.8 Q .247(If the pre)108 729.6 R .247
 (viously-applied actions do not generate an)-.25 F 2.747(ym)-.15 G .247
 (atches, and the)-2.747 F F1 .247(\255o dir)2.747 F(names)-.15 E F0 .247
 (option w)2.747 F .246(as supplied to)-.1 F(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(47)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(47)198.165 E 0 Cg EP
 %%Page: 48 48
 %%BeginPageSetup
 BP
@@ -5768,7 +5769,7 @@ F0 3.257(lines. If)3.007 F F5(HISTFILESIZE)3.257 E F0 .757
 (The b)108 727.2 R 1.294(uiltin command)-.2 F F1(fc)3.794 E F0(\(see)
 3.794 E F5 1.293(SHELL B)3.794 F(UIL)-.09 E 1.293(TIN COMMANDS)-.828 F
 F0(belo)3.543 E 1.293(w\) may be used to list or edit and re-)-.25 F
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(48)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(48)198.165 E 0 Cg EP
 %%Page: 49 49
 %%BeginPageSetup
 BP
@@ -5897,7 +5898,7 @@ F4(n)2.5 E F0(.).24 E F1<21ad>108 679.2 Q F4(n)A F0
 (This is a synon)5 E(ym for `!\2551'.)-.15 E F1(!)108 703.2 Q F4(string)
 A F0 .865(Refer to the most recent command preceding the current positi\
 on in the history list starting with)9.33 F F4(string)144 715.2 Q F0(.)
-.22 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(49)200.665 E 0 Cg EP
+.22 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(49)198.165 E 0 Cg EP
 %%Page: 50 50
 %%BeginPageSetup
 BP
@@ -6014,8 +6015,8 @@ F1<adad>2.82 E F0 5.319(.O)C .319(ther b)-5.319 F .319
 108 724.8 R 1.143(guments be)-.18 F 1.143(ginning with)-.15 F F1<ad>
 3.643 E F0 1.143(as in)3.643 F -.25(va)-.4 G 1.143
 (lid options and require).25 F F1<adad>3.644 E F0 1.144(to pre)3.644 F
--.15(ve)-.25 G 1.144(nt this).15 F(GNU Bash 4.2)72 768 Q(2012 July 5)
-151.505 E(50)200.665 E 0 Cg EP
+-.15(ve)-.25 G 1.144(nt this).15 F(GNU Bash 4.2)72 768 Q(2012 July 14)
+149.005 E(50)198.165 E 0 Cg EP
 %%Page: 51 51
 %%BeginPageSetup
 BP
@@ -6138,7 +6139,7 @@ F0(Display)24.74 E F1 -.18(re)2.5 G(adline).18 E F0 -.1(ke)2.5 G 2.5(ys)
 (alues in such a w)-.25 E(ay that the)-.1 E 2.5(yc)-.15 G
 (an be re-read.)-2.5 E F1<ad56>144 697.2 Q F0(List current)23.08 E F1
 -.18(re)2.5 G(adline).18 E F0 -.25(va)2.5 G(riable names and v).25 E
-(alues.)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(51)200.665 E
+(alues.)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(51)198.165 E
 0 Cg EP
 %%Page: 52 52
 %%BeginPageSetup
@@ -6268,7 +6269,7 @@ F0 .744(is the \214rst ar)3.244 F .744
 (orking directory is written to the standard output.)-3.194 F .594
 (The return)5.594 F -.25(va)144 708 S(lue is true if the directory w).25
 E(as successfully changed; f)-.1 E(alse otherwise.)-.1 E(GNU Bash 4.2)72
-768 Q(2012 July 5)151.505 E(52)200.665 E 0 Cg EP
+768 Q(2012 July 14)149.005 E(52)198.165 E 0 Cg EP
 %%Page: 53 53
 %%BeginPageSetup
 BP
@@ -6385,7 +6386,7 @@ e compspec generates \214lenames, so it can perform an).7 F 2.637<798c>
 2.634(ea)-.1 G .134(dding a slash to directory names, quoting spe-)
 -2.634 F .45(cial characters, or suppressing trailing spaces\).)224
 729.6 R .45(Intended to be used with shell)5.45 F(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(53)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(53)198.165 E 0 Cg EP
 %%Page: 54 54
 %%BeginPageSetup
 BP
@@ -6461,7 +6462,7 @@ F0(option to the)2.5 E F1(set)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E F1
 .101(When it \214nishes, the possible completions are retrie)5.101 F
 -.15(ve)-.25 G 2.602(df).15 G .102(rom the v)-2.602 F .102(alue of the)
 -.25 F F3(COMPREPL)184 696 Q(Y)-.828 E F0(array v)2.25 E(ariable.)-.25 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(54)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(54)198.165 E 0 Cg EP
 %%Page: 55 55
 %%BeginPageSetup
 BP
@@ -6588,7 +6589,7 @@ E F1<ad61>144 691.2 Q F0(Each)25.3 E F2(name)2.5 E F0(is an inde)2.5 E
 F0(Each)23.08 E F2(name)2.5 E F0(is an associati)2.5 E .3 -.15(ve a)-.25
 H(rray v).15 E(ariable \(see)-.25 E F1(Arrays)2.5 E F0(abo)2.5 E -.15
 (ve)-.15 G(\).).15 E F1<ad66>144 715.2 Q F0(Use function names only)
-26.97 E(.)-.65 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(55)200.665
+26.97 E(.)-.65 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(55)198.165
 E 0 Cg EP
 %%Page: 56 56
 %%BeginPageSetup
@@ -6723,8 +6724,8 @@ F0([)2.5 E F1(\255neE)A F0 2.5(][)C F3(ar)-2.5 E(g)-.37 E F0(...])2.5 E
 (error occurs.)144 720 R(If)6.824 E F1<ad6e>4.324 E F0 1.824
 (is speci\214ed, the trailing ne)4.324 F 1.824(wline is suppressed.)-.25
 F 1.825(If the)6.825 F F1<ad65>4.325 E F0 1.825(option is gi)4.325 F
--.15(ve)-.25 G(n,).15 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(56)
-200.665 E 0 Cg EP
+-.15(ve)-.25 G(n,).15 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(56)
+198.165 E 0 Cg EP
 %%Page: 57 57
 %%BeginPageSetup
 BP
@@ -6840,8 +6841,8 @@ F(ail-)-.1 E 2.505(ure. An)144 686.4 R(interacti)2.505 E .305 -.15(ve s)
 (edirections tak)-3.036 F 3.036(ee)-.1 G -.25(ff)-3.036 G .536
 (ect in the current shell, and the return status is 0.).25 F .536
 (If there is a redirection)5.536 F(error)144 710.4 Q 2.5(,t)-.4 G
-(he return status is 1.)-2.5 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505
-E(57)200.665 E 0 Cg EP
+(he return status is 1.)-2.5 E(GNU Bash 4.2)72 768 Q(2012 July 14)
+149.005 E(57)198.165 E 0 Cg EP
 %%Page: 58 58
 %%BeginPageSetup
 BP
@@ -6982,7 +6983,7 @@ F0 .803(The shell does not reset)5.303 F F3(OPTIND)3.303 E F0 .804
 (reset between multiple calls to)144 715.2 R F1(getopts)2.793 E F0 .293
 (within the same shell in)2.793 F -.2(vo)-.4 G .293(cation if a ne).2 F
 2.793(ws)-.25 G .293(et of parameters)-2.793 F(is to be used.)144 727.2
-Q(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(58)200.665 E 0 Cg EP
+Q(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(58)198.165 E 0 Cg EP
 %%Page: 59 59
 %%BeginPageSetup
 BP
@@ -7093,8 +7094,8 @@ F3(n)3.24 E F0 .38(lists only the last)3.12 F F3(n)3.24 E F0 2.88
 (is supplied, it is used as the name of the history \214le; if)2.676 F
 (not, the v)144 715.2 Q(alue of)-.25 E F2(HISTFILE)2.5 E F0(is used.)
 2.25 E(Options, if supplied, ha)5 E .3 -.15(ve t)-.2 H(he follo).15 E
-(wing meanings:)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(59)
-200.665 E 0 Cg EP
+(wing meanings:)-.25 E(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(59)
+198.165 E 0 Cg EP
 %%Page: 60 60
 %%BeginPageSetup
 BP
@@ -7217,7 +7218,7 @@ C(hen)-5.652 E F1(local)3.152 E F0 .652
 (writes a list of local v)3.665 F 1.165
 (ariables to the standard output.)-.25 F 1.165(It is an error to use)
 6.165 F F1(local)3.664 E F0 1.164(when not)3.664 F(GNU Bash 4.2)72 768 Q
-(2012 July 5)151.505 E(60)200.665 E 0 Cg EP
+(2012 July 14)149.005 E(60)198.165 E 0 Cg EP
 %%Page: 61 61
 %%BeginPageSetup
 BP
@@ -7340,8 +7341,8 @@ E F0(,)A F1(\\")3.108 E F0 3.108(,a)C(nd)-3.108 E F1(\\?)3.108 E F0 .608
 (may contain up to four digits\).)2.5 E F1(%q)144 698.4 Q F0(causes)
 20.44 E F1(printf)2.51 E F0 .01(to output the corresponding)2.51 F F2
 (ar)2.51 E(gument)-.37 E F0 .01(in a format that can be reused as shell)
-2.51 F(input.)180 710.4 Q(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E
-(61)200.665 E 0 Cg EP
+2.51 F(input.)180 710.4 Q(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E
+(61)198.165 E 0 Cg EP
 %%Page: 62 62
 %%BeginPageSetup
 BP
@@ -7461,7 +7462,7 @@ F1<ad65>144 700.8 Q F0 .373
 (Readline uses the current \(or def)5.218 F .218
 (ault, if line editing w)-.1 F .218(as not pre)-.1 F(viously)-.25 E
 (acti)180 724.8 Q -.15(ve)-.25 G 2.5(\)e).15 G(diting settings.)-2.5 E
-(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(62)200.665 E 0 Cg EP
+(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E(62)198.165 E 0 Cg EP
 %%Page: 63 63
 %%BeginPageSetup
 BP
@@ -7595,8 +7596,8 @@ F1(set)108 703.2 Q F0([)2.5 E F1(+abefhkmnptuvxBCEHPT)A F0 2.5(][)C F1
 (ariable are displayed in a format that can be)-.25 F .784
 (reused as input for setting or resetting the currently-set v)144 727.2
 R 3.284(ariables. Read-only)-.25 F -.25(va)3.284 G .784
-(riables cannot be).25 F(GNU Bash 4.2)72 768 Q(2012 July 5)151.505 E(63)
-200.665 E 0 Cg EP
+(riables cannot be).25 F(GNU Bash 4.2)72 768 Q(2012 July 14)149.005 E
+(63)198.165 E 0 Cg EP
 %%Page: 64 64
 %%BeginPageSetup
 BP
